package com.gic.haoban.manage.service.service.out.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.haoban.manage.api.dto.WxApplicationDTO;
import com.gic.haoban.manage.api.service.WxApplicationApiService;
import com.gic.haoban.manage.service.entity.TabHaobanWxApplication;
import com.gic.haoban.manage.service.service.WxApplicationService;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by tgs on 2020/2/22.
 */
@Service("wxApplicationApiService")
public class WxApplicationApiServiceImpl implements WxApplicationApiService{
    private static final Logger log = LogManager.getLogger(WxApplicationApiServiceImpl.class);

    @Autowired
    private WxApplicationService wxApplicationService;

    @Override
    public void addSuite(WxApplicationDTO dto) {
        TabHaobanWxApplication tab = EntityUtil.changeEntityByJSON(TabHaobanWxApplication.class, dto);
        this.wxApplicationService.insert(tab);
    }
}
